{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\ndeclare subroutine end_dialog\r\n$insert logical\r\n$insert msg_equates\r\n\r\nControls = get_property( @window, '@Controls' )\r\nData = get_property( Controls, 'TEXT')\r\nconvert @rm to @fm in Data\r\nSupplementFlag = 1\r\nData = field( Data, @fm, 1, 6 ):@fm:SupplementFlag\r\nData := char(245):.suppl_inst->text\r\nend_dialog( @window, Data )\r\nRETURN 0"
        }
    }
}